Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Debit-Refund

  • Endpoint: POST /v1.0/debit/refund
  • Tags: Indonesia SNAP

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesContent type, value always application/json
X-TIMESTAMPheaderstringYesTransaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
X-SIGNATUREheaderstringYesSignature need to be generated with symmetricSignature or asymmetricSignature method
ORIGINheaderstringNoOrigin domain
X-PARTNER-IDheaderstringYesUnique identifier for partner was generated by Payermax, or known as clientId
X-EXTERNAL-IDheaderstringYesUnique messaging reference identifier generated by merchant and should be unique within the same day
CHANNEL-IDheaderstringYesDevice identification on which the API services is currently being accessed by the end user (customer)
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • ORIGIN: ""
  • X-PARTNER-ID: ""
  • X-EXTERNAL-ID: ""
  • CHANNEL-ID: ""
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
originalPartnerReferenceNostringYesmaxLength: 64Original transaction identifier on partner system
refundAmountobjectYesNet amount of the refund
refundAmount.valuenumberYesRefund amount
refundAmount.currencystringYesmaxLength: 3Refund currency
partnerRefundNostringYesmaxLength: 64Reference number from merchant for the refund
merchantIdstringNomaxLength: 32Merchant identifier that is unique per each merchant
subMerchantIdstringNomaxLength: 32Information of sub merchant identifier
originalReferenceNostringNomaxLength: 64Original transaction identifier on Payermax system
originalExternalIdstringNomaxLength: 36Original external identifier on header message
externalStoreIDstringNomaxLength: 64Store identifier to indicate to which store this payment belongs to
reasonstringNomaxLength: 512Refund reason
additionalInfoobjectYesAdditional information
additionalInfo.versionstringYesmaxLength: 8API version. Current value: 1.4
additionalInfo.keyVersionstringYesmaxLength: 8Signature Algorithm Version, Current value: 1
additionalInfo.refundNotifyUrlstringNomaxLength: 256Refund callback link, which can be configured in the background of the system

Example

json
{
  "merchantId": "P05010114269706",
  "partnerRefundNo": "{{orderNumber}}",
  "originalPartnerReferenceNo": "20240302141539079100054",
  "originalExternalId": "",
  "originalReferenceNo": "",
  "refundAmount": {
    "value": "1",
    "currency": "IDR"
  },
  "additionalInfo": {
    "version": "1.4",
    "keyVersion": "1",
    "refundNotifyUrl": "http:xx"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesmaxLength: 7response code
responseMessagestringYesmaxLength: 150response msg
refundNostringYesmaxLength: 64Refund number identifier on Payermax system
partnerRefundNostringYesmaxLength: 64Reference number from merchant for the refund
originalReferenceNostringYesmaxLength: 64Original transaction identifier on Payermax system
originalPartnerReferenceNostringNomaxLength: 64Original transaction identifier on service consumer system
refundTimestringNomaxLength: 25Refund time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
additionalInfoobjectYesAdditional information
additionalInfo.refundStatusstringYesmaxLength: 3200 - Success 03 - Pending 06 - Failed

Response Example

json
{
  "responseCode": "2005800",
  "responseMessage": "Request has been processed successfully",
  "originalPartnerReferenceNo": "2020102900000000000001",
  "originalReferenceNo": "2020102977770000000009",
  "originalExternalId": "10052019",
  "partnerTrxId": "LA001",
  "refundNo": "REF993883",
  "partnerRefundNo": "239850918204981205970",
  "refundAmount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "refundTime": "2020-12-21T17:21:41+07:00",
  "additionalInfo": {
    "refundStatus": "00"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.